<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class Zospay_API {
    private $api_url = 'https://zospay.com/api/create-payment';
    private $api_key;

    public function __construct( $api_key ) {
        $this->api_key = $api_key;
    }

    public function create_payment( $data ) {
        // Yıl bilgisini son 2 rakama düşür
        $data['card_year'] = substr( $data['card_year'], -2 );

        $args = array(
            'body'        => json_encode( $data ),
            'headers'     => array(
                'Content-Type' => 'application/json',
                'x-api-key'    => $this->api_key,
            ),
            'timeout'     => 60,
            'redirection' => 5,
            'blocking'    => true,
        );

        $response = wp_remote_post( $this->api_url, $args );

        if ( is_wp_error( $response ) ) {
            return array( 'message' => $response->get_error_message() );
        } else {
            $body = wp_remote_retrieve_body( $response );
            return json_decode( $body, true );
        }
    }
}
