<?php
/**
 * Plugin Name: Zospay WooCommerce Payment Gateway
 * Description: Integration of Zospay payment gateway.
 * Version: 1.1.0
 * Author: Zospay
 * Text Domain: zospay-woocommerce
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Prevent direct access
}

// Load plugin files
add_action( 'plugins_loaded', 'zospay_woocommerce_init', 11 );

function zospay_woocommerce_init() {
    if ( class_exists( 'WC_Payment_Gateway' ) ) {
        // Include the gateway class
        include_once plugin_dir_path( __FILE__ ) . 'includes/class-wc-gateway-zospay.php';

        // Add the gateway
        add_filter( 'woocommerce_payment_gateways', 'add_zospay_gateway' );

        function add_zospay_gateway( $gateways ) {
            $gateways[] = 'WC_Gateway_Zospay';
            return $gateways;
        }
    }
}
